> ## Name

> cgGetNumUserTypes - get number of user-defined types in a program or effect

> ## Synopsis

>     #include <Cg/cg.h>

>     int cgGetNumUserTypes( CGhandle handle );

> ## Parameters

> handle
>   The CGprogram or CGeffect in which the types are defined.

> ## Return Values

> Returns the number of user defined types.

> ## Description

> cgGetNumUserTypes returns the number of user-defined types in a given CGprogram or CGeffect.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PROGRAM_HANDLE_ERROR is generated if handle is not a valid program or effect handle.

> ## History

> cgGetNumUserTypes was introduced in Cg 1.2.

> ## See Also

> cgGetUserType, cgGetNamedUserType